## GDataPicasaWebUser

GDataPicasaWebUser — GData PicasaWeb User object

## Stability Level

Stable, unless otherwise indicated

## Functions

const gchar * | gdata_picasaweb_user_get_user ()
const gchar * | gdata_picasaweb_user_get_nickname ()
gint64 | gdata_picasaweb_user_get_quota_limit ()
gint64 | gdata_picasaweb_user_get_quota_current ()
gint | gdata_picasaweb_user_get_max_photos_per_album ()
const gchar * | gdata_picasaweb_user_get_thumbnail_uri ()

## Properties

gint | max-photos-per-album | Read
gchar * | nickname | Read
gint64 | quota-current | Read
gint64 | quota-limit | Read
gchar * | thumbnail-uri | Read
gchar * | user | Read

## Types and Values

| GDataPicasaWebUser
| GDataPicasaWebUserClass

## Object Hierarchy

        GObject
        ╰── GDataParsable
            ╰── GDataEntry
                ╰── GDataPicasaWebUser

## Includes

    #include <gdata/services/picasaweb/gdata-picasaweb-user.h>

## Description

GDataPicasaWebUser is a subclass of GDataEntry to represent properties for a PicasaWeb user. It adds a couple of properties which are specific to the Google PicasaWeb API.

## Functions

### gdata_picasaweb_user_get_user ()

    const gchar *
    gdata_picasaweb_user_get_user (GDataPicasaWebUser *self);

Gets the “user” property.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the feed's user, or `NULL`

Since: 0.6.0

### gdata_picasaweb_user_get_nickname ()

    const gchar *
    gdata_picasaweb_user_get_nickname (GDataPicasaWebUser *self);

Gets the “nickname” property.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the nickname of the feed's user's nickname, or `NULL`

Since: 0.6.0

### gdata_picasaweb_user_get_quota_limit ()

    gint64
    gdata_picasaweb_user_get_quota_limit (GDataPicasaWebUser *self);

Gets the “quota-limit” property. Note that this information is not available when accessing feeds which we haven't authenticated, and `0` is returned.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the maximum capacity in bytes for this feed's account, or `-1`

Since: 0.6.0

### gdata_picasaweb_user_get_quota_current ()

    gint64
    gdata_picasaweb_user_get_quota_current
                                   (GDataPicasaWebUser *self);

Gets the “quota-current” property. Note that this information is not available when accessing feeds which we haven't authenticated, and `0` is returned.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the current number of bytes in use by this feed's account, or `-1`

Since: 0.6.0

### gdata_picasaweb_user_get_max_photos_per_album ()

    gint
    gdata_picasaweb_user_get_max_photos_per_album
                                   (GDataPicasaWebUser *self);

Gets the “max-photos-per-album” property. Note that this information is not available when accessing feeds which we haven't authenticated, and `0` is returned.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the maximum number of photos an album for this account can hold, or `-1`

Since: 0.6.0

### gdata_picasaweb_user_get_thumbnail_uri ()

    const gchar *
    gdata_picasaweb_user_get_thumbnail_uri
                                   (GDataPicasaWebUser *self);

Gets the “thumbnail-uri” property.

#### Parameters

self | a GDataPicasaWebUser |

#### Returns

the URI for the thumbnail of the account, or `NULL`

Since: 0.6.0

## Types and Values

### GDataPicasaWebUser

    typedef struct _GDataPicasaWebUser GDataPicasaWebUser;

All the fields in the GDataPicasaWebUser structure are private and should never be accessed directly.

Since: 0.6.0

### GDataPicasaWebUserClass

    typedef struct {
    } GDataPicasaWebUserClass;

All the fields in the GDataPicasaWebUserClass structure are private and should never be accessed directly.

Since: 0.6.0

## Property Details

### The `“max-photos-per-album”` property

      “max-photos-per-album”     gint

The maximum number of photos allowed in an album. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_maxPhotosPerAlbum

If the GDataPicasaWebUser does not represent the currently authenticated user, this will be `-1`.

Flags: Read

Allowed values: >= -1

Default value: -1

Since: 0.6.0

### The `“nickname”` property

      “nickname”                 gchar *

The user's nickname. This is a user-specified value that should be used when referring to the user by name. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_nickname

Flags: Read

Default value: NULL

Since: 0.6.0

### The `“quota-current”` property

      “quota-current”            gint64

The current amount of space, in bytes, already used by the user. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_quotacurrent

If the GDataPicasaWebUser does not represent the currently authenticated user, this will be `-1`.

Flags: Read

Allowed values: >= -1

Default value: -1

Since: 0.6.0

### The `“quota-limit”` property

      “quota-limit”              gint64

The total amount of space, in bytes, available to the user. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_quotalimit

If the GDataPicasaWebUser does not represent the currently authenticated user, this will be `-1`.

Flags: Read

Allowed values: >= -1

Default value: -1

Since: 0.6.0

### The `“thumbnail-uri”` property

      “thumbnail-uri”            gchar *

The URI of a thumbnail-sized portrait of the user. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_thumbnail

Flags: Read

Default value: NULL

Since: 0.6.0

### The `“user”` property

      “user”                     gchar *

The username of the user, as seen in feed URLs. http://code.google.com/apis/picasaweb/docs/2.0/reference.htmlgphoto_user

Flags: Read

Default value: NULL

Since: 0.6.0